Open CASCADE Technology: Transfer_TransferInput Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Transfer_TransferInput Class Reference

A TransferInput is a Tool which fills an InterfaceModel with the result of the Transfer of CasCade Objects, once determined The Result comes from a TransferProcess, either from Transient (the Complete Result is considered, it must contain only Transient Objects) More...

`#include <Transfer_TransferInput.hxx>`

## Public Member Functions
| Transfer_TransferInput ()
| Creates a TransferInput ready to use. More...
Interface_EntityIterator | Entities (Transfer_TransferIterator &list) const
| Takes the transient items stored in a TransferIterator. More...
void | FillModel (const Handle< Transfer_TransientProcess > &proc, const Handle< Interface_InterfaceModel > &amodel) const
| Fills an InterfaceModel with the Complete Result of a Transfer stored in a TransientProcess (Starting Objects are Transient) The complete result is exactly added to the model. More...
void | FillModel (const Handle< Transfer_TransientProcess > &proc, const Handle< Interface_InterfaceModel > &amodel, const Handle< Interface_Protocol > &proto, const Standard_Boolean roots=Standard_True) const
| Fills an InterfaceModel with results of the Transfer recorded in a TransientProcess (Starting Objects are Transient) : Root Result if <roots> is True (Default), Complete Result else The entities added to the model are determined from the result by by adding the referenced entities. More...
void | FillModel (const Handle< Transfer_FinderProcess > &proc, const Handle< Interface_InterfaceModel > &amodel) const
| Fills an InterfaceModel with the Complete Result of a Transfer stored in a TransientProcess (Starting Objects are Transient) The complete result is exactly added to the model. More...
void | FillModel (const Handle< Transfer_FinderProcess > &proc, const Handle< Interface_InterfaceModel > &amodel, const Handle< Interface_Protocol > &proto, const Standard_Boolean roots=Standard_True) const
| Fills an InterfaceModel with results of the Transfer recorded in a TransientProcess (Starting Objects are Transient) : Root Result if <roots> is True (Default), Complete Result else The entities added to the model are determined from the result by by adding the referenced entities. More...

## Detailed Description

A TransferInput is a Tool which fills an InterfaceModel with the result of the Transfer of CasCade Objects, once determined The Result comes from a TransferProcess, either from Transient (the Complete Result is considered, it must contain only Transient Objects)

## Constructor & Destructor Documentation

Transfer_TransferInput::Transfer_TransferInput | ( |  | ) |

Creates a TransferInput ready to use.

## Member Function Documentation

Interface_EntityIterator Transfer_TransferInput::Entities | ( | Transfer_TransferIterator & | list | ) | const

Takes the transient items stored in a TransferIterator.

void Transfer_TransferInput::FillModel | ( | const Handle< Transfer_TransientProcess > & | proc,
|  | const Handle< Interface_InterfaceModel > & | amodel
| ) |  | const

Fills an InterfaceModel with the Complete Result of a Transfer stored in a TransientProcess (Starting Objects are Transient) The complete result is exactly added to the model.

void Transfer_TransferInput::FillModel | ( | const Handle< Transfer_TransientProcess > & | proc,
|  | const Handle< Interface_InterfaceModel > & | amodel,
|  | const Handle< Interface_Protocol > & | proto,
|  | const Standard_Boolean | roots = `Standard_True`
| ) |  | const

Fills an InterfaceModel with results of the Transfer recorded in a TransientProcess (Starting Objects are Transient) : Root Result if <roots> is True (Default), Complete Result else The entities added to the model are determined from the result by by adding the referenced entities.

void Transfer_TransferInput::FillModel | ( | const Handle< Transfer_FinderProcess > & | proc,
|  | const Handle< Interface_InterfaceModel > & | amodel
| ) |  | const

Fills an InterfaceModel with the Complete Result of a Transfer stored in a TransientProcess (Starting Objects are Transient) The complete result is exactly added to the model.

void Transfer_TransferInput::FillModel | ( | const Handle< Transfer_FinderProcess > & | proc,
|  | const Handle< Interface_InterfaceModel > & | amodel,
|  | const Handle< Interface_Protocol > & | proto,
|  | const Standard_Boolean | roots = `Standard_True`
| ) |  | const

Fills an InterfaceModel with results of the Transfer recorded in a TransientProcess (Starting Objects are Transient) : Root Result if <roots> is True (Default), Complete Result else The entities added to the model are determined from the result by by adding the referenced entities.

The documentation for this class was generated from the following file:

- Transfer_TransferInput.hxx